[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.Grow

Expands the bits array to the requested size.

## Declaration

Source position: classesh.inc line 411

`public procedure TBits.Grow(`
`NBit: LongInt`
`);`

## Description

Grow expands the bit array so it can at least contain nbit bits. If nbit is less than the current size, nothing happens.

## Errors

If there is not enough memory to complete the operation, then an EBitsErroris raised.

## See also

Size |  | Current size of the array of bits.